# IPPacket

  A packet carrying IP header.

## Super Class:

  `Packet`

## Methods:

`ip_data`

  Return data part as `String`.

`ip_df?`

  Return `true` if Don't Fragment bit is set.

`ip_dst`
`dst`

  Return destination IP address as `IPAddress`.

`ip_flags`

  Return the value of 3-bits IP flag field.

`ip_hlen`

  Return header length. (Unit: 4 octets)

`ip_id`

  Return identification.

`ip_len`

  Return total length.

`ip_mf?`

  Return `true` if More Fragment bit is set.

`ip_off`

  Return fragment offset.

`ip_proto`

  Return the value of protocol field.

`ip_src`
`src`

  Return source IP address as `IPAddress`.

`ip_sum`

  Return the value of checksum field.

`ip_tos`

  Return the value of TOS field.

`ip_ttl`

  Return TTL.

`ip_ver`

  Return IP version.

`to_s`

  Return string representation.

fukusima@goto.info.waseda.ac.jp